#!/usr/bin/python

#======
# Copyright (c) IBM Corp. 2011, 2014.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======




#
# IMPORTS
#
import logging


#
# CONSTANTS
#
TTY='console=tty0'
HVC='console=hvc0'
CRASHKERNEL='crashkernel=1024M'
LVDATA='rd.lvm.lv=ibmpkvm_vg_data/ibmpkvm_lv_data'
LVLOG='rd.lvm.lv=ibmpkvm_vg_log/ibmpkvm_lv_log'
LVROOT='rd.lvm.lv=ibmpkvm_vg_root/ibmpkvm_lv_root'
LVSWAP='rd.lvm.lv=ibmpkvm_vg_swap/ibmpkvm_lv_swap'

class Grub:
    """Handle all grub operations"""

    def __init__(self):
        """
        Constructor

        @rtype: None
        @return: Nothing
        """
        self.__logger = logging.getLogger(__name__)
    # __init__()

    def setDefaultOptions(self, path):
        """
        Set default options in /etc/default/grub

        @rtype: None
        @return: Nothing
        """
        default='%s %s %s %s %s %s %s' % (
            TTY, HVC, CRASHKERNEL, LVDATA, LVLOG, LVROOT, LVSWAP)

        with open(path, 'w') as f:
            f.write("GRUB_CMDLINE_LINUX_DEFAULT=\"%s\"" % default)
            f.write("\nGRUB_DISABLE_SUBMENU=true")
            f.write("\nGRUB_DISABLE_RECOVERY=true")
    # setDefaultOptions()

# Grub
