#======
# Copyright (c) IBM Corp. 2011, 2014.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======


class ScriptBase(object):
    """
    Common interface to all scripts
    """

    def onPreInstall(self, data):
        """
        Handles the pre install event

        @type  data: dict
        @param data: relevant arguments for that given event

        @rtype: None
        @returns: Nothing
        """
        raise NotImplementedError("Not implemented")
    # onPreInstall()

    def onPrepareInstall(self, data):
        """
        Handles the prepare install event

        @type  data: dict
        @param data: relevant arguments for that given event

        @rtype: None
        @returns: Nothing
        """
        raise NotImplementedError("Not implemented")
    # onPrepareInstall()

    def onPostInstall(self, data):
        """
        Handles the post install event

        @type  data: dict
        @param data: relevant arguments for that given event

        @rtype: None
        @returns: Nothing
        """
        raise NotImplementedError("Not implemented")
    # onPostInstall()

    def onPostUpgrade(self, data):
        """
        Handles the post upgrade event

        @type  data: dict
        @param data: relevant arguments for that given event

        @rtype: None
        @returns: Nothing
        """
        raise NotImplementedError("Not implemented")
    # onPostUpgrade()

# ScriptBase
