#!/usr/bin/python

#======
# Copyright (c) IBM Corp. 2011, 2014.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======



#
# IMPORTS
#
from snack import *
from ui.systemupdate.listharddisks import ListHardDisks
from ui.systemupdate.updateprogress import UpdateProgress


#
# CONSTANTS
#


#
# CODE
#
class UpdatePowerKVM:
    """
    Update PowerKVM system
    """

    def __init__(self, screen):
        """
        Constructor

        @type  screen: SnackScreen
        @param screen: SnackScreen instance
        """
        self.__screen = screen
    # __init__()

    def run(self):
        """
        Draws the each screen of the installation application

        @rtype: integer
        @returns: success status
        """
        app = [
            ListHardDisks,
            UpdateProgress,
          ]

        index = 0

        while index > -1 and index < len(app):
            window = app[index](self.__screen)
            rc = window.run()
            self.__screen.popWindow()

            if rc == -1:
                index -= 1
            else:
                index += 1

        if index == -1:
            return -1

        return 0
    # run()
# UpdatePowerKVM()
