# -*- coding: utf-8 -*-

#======
# Copyright (c) IBM Corp. 2011, 2014.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======


from modules.i18n.i18n import _

#
# CONSTANTS
#


#
# menu
#
WELCOME_IBM_POWERKVM = _("Welcome to IBM PowerKVM %s")
SELECT_ONE_OF_THE_OPTIONS_BELOW = _("Select one of the options below and follow the instructions.")
ARE_YOU_SURE_YOU_WANTO_TO = _("Are you sure you want to install on device %s?\n\n \
The following partitions will be removed: %s\n\n \
The following LVMs will be removed: %s\n\n")
IBM_POWERKVM = _("IBM PowerKVM %s")
OK = _("Ok")
BACK = _("Back")
SKIP = _("Skip")
NEXT = _("Next")
EDIT = _("Edit")
HELP_LINE = _("  <Tab>/<Shift-Tab> between elements   |  <Space> selects")


#
# rootchangepassword screen
#
ERROR_PASSWD_LENGTH = _("Password Length")
ERROR_PASSWD_LENGTH_MSG = _("The root password must be at least 6 characters long.")
ERROR_PASSWD_MISMATCH = _("Password Mismatch")
ERROR_PASSWD_MISMATCH_MSG = _("The passwords you entered were different. Please try again.")
PASSWD_CONFIRM_LABEL = _("Password (confirm):")
PASSWD_LABEL = _("Password:")
PASSWD_WINDOW_MSG = _("Pick a root password. You must type it twice to ensure you know what it is and didn't make a mistake in typing. Remember that the root password is a critical part of system security!")
PASSWD_WINDOW_TITLE = _("Root Password")

#
# timezone screen
#
TIMEZONE_LABEL = _("Select the timezone for the system")
TIMEZONE_UTC_CHECKBOX_LABEL = _("System clock uses UTC")
TIMEZONE_SELECTION_LABEL = _("Timezone Selection")

#
# listnetworkifaces screen
#
LISTNETIFACE_SELECT_DEVICE = _("Select the device to be configured:")
LISTNETIFACE_CONFIG_NET = _("Configure network")
UP = _("UP")
DOWN = _("DOWN")

#
# dnssetup screen
#
DNSSETUP_HOSTNAME_LABEL = _("Hostname")
DNSSETUP_FST_DNS_LABEL = _("Primary DNS")
DNSSETUP_SND_DNS_LABEL = _("Secondary DNS")
DNSSETUP_SEARCH_LABEL = _("Search")
DNSSETUP_CONFIG_DNS = _("DNS Configuration")

#
# ntpsetup screen
#
NTPSETUP_CONFIG_NTP = _("NTP Configuration")
NTPSETUP_SERVER_1 = _("NTP server 1: ")
NTPSETUP_SERVER_2 = _("NTP server 2: ")
NTPSETUP_SERVER_3 = _("NTP server 3: ")
NTPSETUP_SERVER_4 = _("NTP server 4: ")
ENABLE_LABEL = _("Enable")

#
# datetime screen
#
DATE_TIME_SETUP = _("Date and time configuration")
DATE_LABEL = _("Date (YYYY / MM / DD):")
TIME_LABEL = _("Time (HH:MM:SS):")
ERROR_DATETIME_FORMAT = _("Date time error")
ERROR_DATETIME_FORMAT_MSG = _("Date or time format is not correct!\nThe input: %s\nCorrect format: YYYY/MM/DD HH:MM:SS")


#
# networkconfig screen
#
ERROR_INVALID_ENTRY= _("Invalid Entry")
ERROR_INVALID_ENTRY_MSG= _("Either DHCP must be selected, or IP must be provided.")
NETWORKCFG_DEVICE_LABEL = _("Device")
NETWORKCFG_MACADDR_LABEL = _("MAC Address")
NETWORKCFG_DHCP_LABEL = _("Use DHCP")
NETWORKCFG_IP_LABEL = _("Static IP")
NETWORKCFG_NETMASK_LABEL = _("Netmask")
NETWORKCFG_GATEWAY_LABEL = _("Default gateway IP")
NETWORKCFG_DEVICE_CONFIG = _("Network Device Configuration")
NETWORKCFG_BRIDGE_LABEL = _("Create Network bridge device (br%s)")

# checkharddisk
#
LVM_ERROR_MSG = _("Error while trying to remove the Volume Group in %s")
WARNING_MSG = _("The disk %s is part of the LVM Volume Group(s) ['VolGroup'] which will be destroyed if you continue. Are you sure you want to use that disk?")
YES = _("Yes")
NO = _("No")
INSTALLATION_ERROR = _("Installation Error")

#
# selectharddisk
#
SELECT_DEVICE_TO_INSTALL = _("Select the device to install IBM PowerKVM. All data in the selected disk will be lost.")
SELECT_TITLE = _("Disk information")
SELECT_HELP_LINE = _("  <Tab>/<Shift-Tab> between elements  |  <F3> for details")
ERROR_DISK_SIZE = _("Disk size")
ERROR_DISK_SIZE_MSG = _("The disk size must be greater than 70G!")
ERROR_NO_DISK_FOUND = _("No disk found")
ERROR_NO_DISK_FOUND_MSG = _("No disks were found in the system.")
SELECT_ID = _("ID:")
SELECT_SIZE = _("Size")
SELECT_MULTIPATH = _("Multipath:")
SELECT_NAME = _("Name")
SELECT_FILESYSTEM = _("Filesystem")
SELECT_VGRAID = _("VG/Raid")


#
# chooselanguage
#
CHOOSE_LANGUAGE = _("Choose the language")

#
# confirmreinstall
#
WARNING_MSG = _("The current installed system will be erased, including all \
general system-wide and virtualization configuration files.\
Only the contents within /var/lib/libvirt/images and /var/log will be preserved. \
WARNING: this means the configuration of your Virtual Machines WILL BE ERASED, \
leaving only the disk images behind. You are advised to back up your VM \
configurations before proceeding. Are you sure you would like to proceed?")
REINSTALL_DISK_MSG = _("A previous installation of PowerKVM has been detected at:\n\n%s\n\n")

#
# entitlementerror
#
ENTITLE_ERROR_MSG = _("Hardware is not entitled to proceed. Aborting!")
INVALID_ENTITLEMENT = _("Invalid entitlement! ")

#
# installprogress
#
PREPARING_TO_INSTALL_IBM_POWERKVM = _("Preparing to install IBM PowerKVM System")
ERROR_INSTALLATION = _("Unknown error")
ERROR_INSTALLATION_MSG = _("Sorry something went wrong the proper error \
message is on the log file")

#
# rebootsystem
#
REBOOT_MSG = _("Please, reboot your system now.")
REBOOT = _("Reboot")
INSTALLATION_COMPLETED = _("Installation completed! ")

#
# reinstallerror
#
REINSTALL_ERROR_MSG = _("The reinstall process can't continue. No previous \
system was found. Aborting!")

#
# upgradeprogress
#
PREPARING_UPGRADE_SYSTEM = _("Preparing to upgrade system")
WORKING = _("Working...")

#
# PKVM ERROR
#
PKVM_ERROR_MSG = _("Installation exited with error code: %s")
PKVM_LOG_MSG = _("Log is available on %s")
IBMPKVMERROR_UNEXPECTED = _("Unexpected error.")
IBMPKVMERROR_UNKNOWN = _("Unknown error.")
IBMPKVMERROR_DISK_SIZE = _("Invalid disk size.")
IBMPKVMERROR_NO_DISK = _("No disk found in the system.")
IBMPKVMERROR_ENTITLEMENT = _("Hardware is not entitled, aborting installation.")
IBMPKVMERROR_INSTALL_SYSTEM = _("Error while installing IBM PowerKVM.")
IBMPKVMERROR_FORMATING_DISK = _("Error while performing disk operations.")
IBMPKVMERROR_ERROR = _("Invalid error code.")
IBMPKVMERROR_DELETE_ENTITIES = _("Could not remove LVM entities.")
IBMPKVMERROR_DEACTIVATE_VG = _("Could not deactivate volume groups.")
IBMPKVMERROR_ACTIVATE_VG = _("Could not activate volume groups.")
IBMPKVMERROR_STOP_SWRAID = _("Could not stop software RAID.")
IBMPKVMERROR_INFORMATION = _("Disk information not available.")
IBMPKVMERROR_DELETE_PARTITIONS = _("Problem while removing pratitioning scheme.")
IBMPKVMERROR_CREATE_PARTITIONS = _("Problem while partitioning the disk.")
IBMPKVMERROR_CREATE_LVM = _("Problem while creating LVM.")
IBMPKVMERROR_DOWNLOAD_HTTP = _("Failed to download (HTTP) install automation file.")
IBMPKVMERROR_DOWNLOAD_TFTP = _("Failed to download (TFTP) install automation file.")
IBMPKVMERROR_DOWNLOAD_NFS = _("Problem downloading (NFS) install automation file.")
IBMPKVMERROR_PARSER_FILE = _("Could not parse install automation file.")
IBMPKVMERROR_RAID_GET_LABEL = _("Failed to get IPR RAID label.")
IBMPKVMERROR_PRE_MODULES = _("Failed while executing pre-install modules.")
IBMPKVMERROR_RAID_SET_LABEL = _("Failed to create disklabel on IPR RAID.")
IBMPKVMERROR_EXEC_PRESCRIPT = _("Failed to execute install automation pre-script.")
IBMPKVMERROR_EXEC_PRESCRIPT_PKVM = _("Failed to execute PowerKVM pre-script.")
IBMPKVMERROR_POST_MODULES = _("Failed while executing post-install modules.")
IBMPKVMERROR_ROOT_PWD_MANUAL = _("Failed to set password.")
IBMPKVMERROR_EXEC_POSTSCRIPT = _("Failed to execute install automation post-script.")
IBMPKVMERROR_NTP_SET = _("Failed to set NTP service.")
IBMPKVMERROR_INVALID_NIC = _("Invalid network interface.")
IBMPKVMERROR_UTC_CONF= _("Failed to write UTC time configuration.")
IBMPKVMERROR_NO_NIC = _("Missing target network interface in install automation file.")
IBMPKVMERROR_NO_DISK_KS = _("Missing target disk parameter in install automation file.")
IBMPKVMERROR_INSTALL_MSG = _("Error while installing packages.")
IBMPKVMERROR_NO_REPO = _("No repository provided to the installer.")
IBMPKVMERROR_INVALID_REPO = _("Invalid repository path.")
IBMPKVMERROR_INVALID_REPO_CONTENT = _("Invalid repository content.")
IBMPKVMERROR_TIMEZONE_LIST = _("Failed to load Timezones list.")
IBMPKVMERROR_ENTITLE_FW = _("Firmware version must be greater than %s")
IBMPKVMERROR_ENTITLE_MACHINE = _("Invalid machine type.")
IBMPKVMERROR_ENTITLE_HYPER = _("Invalid hypervisor.")
IBMPKVMERROR_NO_PREINSTALL = _("No previous system found.")
IBMPKVMERROR_UNEXPECTED_PARTITIONER = _("Unexpected error while partitioning the disk.")
IBMPKVMERROR_UNEXPECTED_PACKAGES = _("Unexpected error while installing packages.")
IBMPKVMERROR_UNEXPECTED_POSTINSTALL = _("Unexpected error while executing post-install modules.")
IBMPKVMERROR_UNEXPECTED_AUTOINSTALL = _("Unexpected error while executing kickstart.")
IBMPKVMERROR_UNEXPECTED_GETDISKS = _("Unexpected error while verifying disks.")
IBMPKVMERROR_UNEXPECTED_DISKSEL = _("Unexpected error while selecting disks.")
IBMPKVMERROR_UNEXPECTED_SYSCONF = _("Unexpected error while configuring system.")

# installationsummary
#
INSTALLATION_SUMMARY = _("Installation Summary")
TIMEZONE = _("Timezone: ")
DATE_TIME =_("Date/Time: ")
NTP_SERVERS = _("NTP servers")
NTP_DISABLED = _("NTP disabled")
IP_ADDRESS = _("IP Address: ")
GATEWAY = _("Gateway: ")
NETMASK = _("Netmask: ")
HOSTNAME = _("Hostname: ")
BRIDGE = _("Bridge: ")
DHCP_IS_ENABLE = _("DHCP is enabled")
NETWORK = _("Network")
DEVICE = _("Device: ")
PASSWORD_IS_SET = _("Password is set")
SYSTEM_CLOCK_USES_UTC = _("System clock uses UTC: ")

# license window
LICENSE_BUTTON_ACCEPT = _("I Accept both IBM and non-IBM terms")
LICENSE_BUTTON_DECLINE = _("I do not accept the terms in the license agreement")
