#======
# Copyright (c) IBM Corp. 2011, 2014.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======


#
# IMPORTS
#
from snack import *
from model.config import STR_VERSION
from viewer.__data__ import  IBM_POWERKVM


#
# CONSTANTS
#

#
# CODE
#
class MessageWindow:
    """
    Verify the hard disk selected is part od a LVM Volume Group
    """

    def __init__(self, screen):
        """
        Constructor

        @type  screen: SnackScreen
        @param screen: SnackScreen instance

        """
        self.__screen = screen
        self.__grid = GridForm(self.__screen, IBM_POWERKVM.localize() % STR_VERSION, 1, 1)
    # __init__()

    def show(self, msg):
        """
        Displays a message

        @type  msg: str
        @param msg: message to be displayed

        @rtype:   nothing
        @returns: nothing
        """
        omsg = TextboxReflowed(30, msg)
        self.__grid.add(omsg, 0, 0)
        self.__grid.draw()
        self.__screen.refresh()
    # show()

    def popWindow(self):
        """
        Pop window from windows stack

        @rtype:   nothing
        @returns: nothing
        """
        self.__screen.popWindow()
    # popWindow()

# MessageWindow
